{
    "version": "0.2.0",
    "configurations": [

        {
            "name": "Launch-Node-Dev",
            "type": "node",
            "request": "launch",
            "program": "${workspaceRoot}/index_dev.js",
            "stopOnEntry": false,
            "args": [],
            "cwd": "${workspaceRoot}",
            "preLaunchTask": null,
            "runtimeExecutable": null,
            "runtimeArgs": [
                "--nolazy"
            ],
            "env": {
                "NODE_ENV": "development"
            },
            "console": "internalConsole",
            "sourceMaps": false
        },
        {
            "name": "Launch-Node",
            "type": "node",
            "request": "launch",
            "program": "${workspaceRoot}/index.js",
            "stopOnEntry": false,
            "args": [],
            "cwd": "${workspaceRoot}",
            "preLaunchTask": null,
            "runtimeExecutable": null,
            "runtimeArgs": [
                "--nolazy"
            ],
            "env": {
                "NODE_ENV": "production"
            },
            "console": "internalConsole",
            "sourceMaps": false
        },
        {
            "name": "Launch-Node-NetApp",
            "type": "node",
            "request": "launch",
            "program": "${workspaceRoot}/src/main_net_app.js",
            "stopOnEntry": false,
            "args": [],
            "cwd": "${workspaceRoot}",
            "preLaunchTask": null,
            "runtimeExecutable": null,
            "runtimeArgs": [
                "--nolazy"
                ,"--trace-warnings"
            ],
            "env": {
                "NODE_ENV": "production"
            },
            "console": "internalConsole",
            "sourceMaps": false
        },
        {
            "name": "Launch-Node-UpdatePack",
            "type": "node",
            "request": "launch",
            "program": "${workspaceRoot}/updatepack.js",
            "stopOnEntry": false,
            "args": [],
            "cwd": "${workspaceRoot}",
            "preLaunchTask": null,
            "runtimeExecutable": null,
            "runtimeArgs": [
                "--nolazy"
            ],
            "env": {
                "NODE_ENV": "production"
            },
            "console": "internalConsole",
            "sourceMaps": false
        },
        {
            "name": "Launch-Electron",
            "type": "node",
            "request": "launch",
            
            "program": "${workspaceRoot}/src/main.js",
            "stopOnEntry": false,
            "args": [],
            "cwd": "${workspaceRoot}",
            "preLaunchTask": null,
            "runtimeExecutable": "${workspaceRoot}/node_modules/.bin/electron",
            "runtimeArgs": [
                "--nolazy"
                ,"--trace-warnings"
            ],
            "env": {
                "NODE_ENV": "development",
                "ELECTRON_DISABLE_SECURITY_WARNINGS": "true"
            },
            "console": "integratedTerminal",
            "sourceMaps": false,
            "windows": {
                "runtimeExecutable": "${workspaceRoot}/node_modules/.bin/electron.cmd",
                "runtimeArgs": [
                    "--nolazy"
                    ,"--inspect"
                    ,"--trace-warnings"
                ]
            }
        },
        {
            "name": "Launch-Electron-net",
            "type": "node",
            "request": "launch",
            
            "program": "${workspaceRoot}/src/main_net.js",
            "stopOnEntry": false,
            "args": [],
            "cwd": "${workspaceRoot}",
            "preLaunchTask": null,
            "runtimeExecutable": "${workspaceRoot}/node_modules/.bin/electron",
            "runtimeArgs": [
                "--nolazy"
                ,"--trace-warnings"
            ],
            "env": {
                "NODE_ENV": "development"
            },
            "console": "integratedTerminal",
            "sourceMaps": false,
            "windows": {
                "runtimeExecutable": "${workspaceRoot}/node_modules/.bin/electron.cmd",
                "runtimeArgs": [
                    "--nolazy"
                    ,"--trace-warnings"
                ]
            }
        },
        {
            "name": "Attach",
            "type": "node",
            "request": "attach",
            "port": 5858,
            "address": "localhost",
            "restart": false,
            "sourceMaps": false,
            "localRoot": "${workspaceRoot}",
            "remoteRoot": "${workspaceRoot}"
        },
        {
            "name": "Attach-rabbit-receive",
            "type": "node",
            "request": "attach",
            "port": 7240,
            "address": "localhost",
            "restart": false,
            "sourceMaps": false,
            "localRoot": "${workspaceRoot}",
            "remoteRoot": "${workspaceRoot}"
        },
        {
            "name": "Attach-io-manager",
            "type": "node",
            "request": "attach",
            "port": 7440,
            "address": "localhost",
            "restart": false,
            "sourceMaps": false,
            "localRoot": "${workspaceRoot}",
            "remoteRoot": "${workspaceRoot}"
        },
        {
            "name": "Attach-rabbit-send",
            "type": "node",
            "request": "attach",
            "port": 7340,
            "address": "localhost",
            "restart": false,
            "sourceMaps": false,
            "localRoot": "${workspaceRoot}",
            "remoteRoot": "${workspaceRoot}"
        },
        {
            "name": "Attach-update",
            "type": "node",
            "request": "attach",
            "port": 7540,
            "address": "localhost",
            "restart": false,
            "sourceMaps": false,
            "localRoot": "${workspaceRoot}",
            "remoteRoot": "${workspaceRoot}"
        },
        {
            "name": "Attach-socketio",
            "type": "node",
            "request": "attach",
            "port": 7640,
            "address": "localhost",
            "restart": false,
            "sourceMaps": false,
            "localRoot": "${workspaceRoot}",
            "remoteRoot": "${workspaceRoot}"
        }
    ]
}